ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Crystal, Mayer" <mayer.crys...@gs.com>
Subject Question about revision conflicts during resolve/retrieve
Date Thu, 06 Dec 2007 15:46:48 GMT
We are using Ivy 1.4.1 and had a question about conflict resolution
between 2 modules.  Let's say we have a setup like:

A depends on B version 1.4 and C version 1.5
B depends on C version 1.+
Version C in the repository is 1.7


Is there a way to tell ivy that when it is resolving, if it comes across
a firm requirement (1.5 for C for module A) which doesn't conflict with
other requirements (the 1.+ for C for module B) to always choose the
strict requirement?



Thanks,
Mayer


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message